> For the complete documentation index, see [llms.txt](https://docs.veedna.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veedna.com/integration-with-cicd-pipeline/pre-requisites.md).

# Pre-Requisites

The first step is to download the Lineaje CLI from the Lineaje portal, register the CLI and store it in a s3 (or an equivalent storage based on the cloud provider) location that will be accessible for the CICD pipeline

* Create a s3 folder under a bucker that is accessible for the CICD pipeline (s3:\<bucketname>/lineaje-cli)
* Follow the [CLI installation](/sca360-secure-deployment-for-restricted-environments/sca360-installation.md) guide
* Copy the veecli executable to the s3 location (s3:\<bucketname>/lineaje-cli/veecli). On a regular interval, update the veecli with newer version by downloading the copy from Lineaje application. A new version does NOT require a re-registration.
* Locate the config.json, present in the same directory as that of veecli, and copy it to s3 location (s3:\<bucketname>/lineaje-cli/config.json). config.json has the tenant, token and other information that is necessary to connect to Lineaje backend
* Create a new json file, name it as input-src.json with the below content. This serves as a template for input that should be passed to Lineaje CLI. Store the file in s3 (s3:\<bucketname>/lineaje-cli/input-src.json)

```json
{
  "project": "",
  "schema": "1.0",
  "version": "",
  "excludeTestDependency": true,
  "excludeOptionalDependency": true,
  "use_native_tools": true,
  "inputs": [
    {
      "SrcInfo": {
        "srcurl": "",
        "type": "",
        "matchingref": ""
      }
    }
  ],
  "repository_access_configs": [
    {
      "path": "",
      "type": "",
      "user_name": "",
      "token": ""
    }
  ]
}
```

* To summarize, the s3 folder should have the below files
  * s3:\<bucketname>/lineaje-cli/veecli
  * s3:\<bucketname>/lineaje-cli/config.json
  * s3:\<bucketname>/lineaje-cli/input-src.json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.veedna.com/integration-with-cicd-pipeline/pre-requisites.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
